<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
 <%@include file="/views/common.jsp"%>
</head>
<!-- 节目单 -->
<style>
.edge .layui-edge{
	right:10px;
}
</style>
<body>
	<div class="big_box">
		<div class="left_div">
			<h1 class="h2">节目单</h1> <span style="color:red;font-weight:700;"></span>
			<hr>
			<form class="layui-form">
				<p>
					材质
				</p>
				<div class="layui-form-item">
					<select name="kind1Value" id="kind1Value" class="select">
						<option value="0">300克铜版纸</option>
					</select>
				</div>
				<input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="节目单" >
				<p>
					规格
				</p>
				<div class="layui-form-item">
					<select name="kindValue" id="kindValue"  class="select">
						<option value="0">A4（297*210mm）</option>
						<option value="1">A3（420*297mm）</option>
					</select>
				</div>
				<p>
					规格
				</p>
				<div class="layui-form-item">
					<select name="kind2Value" id="kind2Value" class="select">
						<option value="0">对折</option>
						<option value="1">三折</option>
					</select>
				</div>
				<p>
					数量（张）
				</p>
				<div class="layui-form-item">
					<select name="count" class="select" id="count">
						<option value="50">50</option>
						<option value="100">100</option>
						<option value="200">200</option>
						<option value="300">300</option>
						<option value="500">500</option>
						<option value="1000">1000</option>
					</select>
				</div>
				<p>
					款数
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1" class="layui-input" lay-verify="number">
				</div>
				<p>
					客户旺旺
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
				</div>
			    <p>
					工艺
				</p>
				<div class="layui-input-block">
					<input type="checkbox" name="craft" lay-filter="switch" value="双面覆哑膜" title="双面覆哑膜" checked>
				</div>
				<div class="layui-input-block">
					<input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
					<div class="layui-inline crop" style="display:none;width: 80px">
						<input class="layui-input" type="text" name="cropNumber">
					</div>
				</div>
				<hr>
				<div class="layui-form-item">
					<button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
					<button type="reset" class="layui-btn layui-btn-primary">重置</button>
				</div>
				<h2>计算结果-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyResult()">点击复制</button></h2>
				<div>
					<textarea rows="11" cols="75"  id="span_result" readonly="readonly"></textarea>
					<%@include file="../acountExpressFee.jsp"%>
				</div>
				<!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
				<div>
					<textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
				</div>-->
				<div >
					<table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
				</div>
			</form>
		</div>
		<div class="right_div" style="margin-left:50px;">
			<div class="layui-carousel" id="test1" >
				<div carousel-item id="carousel"></div>
				<br>
				<div id="remark" style="font-size:20px;color:red"></div>
			</div> 
		</div>
	</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp"%>
<script>
layui.use(['table','form','carousel'], function(){    
    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
    var carousel = layui.carousel;
    var table = layui.table;
    
	//建造实例
    ins = carousel.render({});


	form.on('checkbox(ui_craft)', function (data) {
		let craft_list = [];
		let kindValue = $('input[name="kindValue"]:checked').val();
		craft_list.push($("select[name='craft'] option:selected").val());
		$("input[name='craft']:checked").each(function () {
			if (!$(this).is(':disabled')) {
				craft_list.push($(this).val());
			}
		});

		if (data.value == '抠图') {
			$(".crop").hide();
			$(".crop").find("input").prop("disabled", true)
			if (data.elem.checked) {
				$(".crop").show();
				$(".crop").find("input").prop("disabled", false)
			}
		}
		form.render();
	})
	
	// 点击计算，计算价格
	form.on('submit(acount_btn)', function(data) {
		var kindData={
			0 :"A4（297*210mm）",
			1 :"A3（420*297mm）"
		},kind1Data={
			0 :"300克铜版纸"
		},kind2Data={
			0 :"对折",
			1 :"三折"
		};		
		var kind = kindData[$("#kindValue").val()];	
		var kind1 = kind1Data[$("#kind1Value").val()];	
		var kind2 = kind2Data[$("#kind2Value").val()];	
		var number= $("#number").val();
		var arr = [];
		$("input:checkbox[name='craft']:checked").each(function(i) {
			// 没有被禁用的工艺加到arr中
			if(!$(this).is(':disabled')){
				if ($(this).val() == "抠图") {
					arr.push($(this).val() + $("input[name='cropNumber']").val());
					return;
				}
				arr.push($(this).val());
			}
		});
		$.ajax({
			url : "${path}/getThanSum",
			type : "GET",
			data : $(".big_box form").serialize(),
			success : function(result) {
				if(result.code == 100){
					layer.msg(result.msg,{offset:['300px','300px']},function(){});
					return false;
				}
				var data = result.data.proList;
				
				var span_result ="节目单- " + kind1 +' - '+ kind + " - " + kind2 +' -(同款内容)\n' + "工艺 :"+ arr + "\n";
				if(number > 1){
					for (let i = 0; i < data.length; i++) {
						span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
						data[i].number = number;
			        }   
				}else{
					for (let i = 0; i < data.length; i++) {
						span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
						data[i].number = number;
			        }   
				}
				span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
    				addLog(span_result);
                    $("#span_result").val(span_result);
				
				size = kind.substring(3,10);
				console.log(size);
				var count = $("#count option:selected").val();
				getRemark("节目单", size+"mm", count+"张", kind1, number, arr, "");
				//计算完自动复制文本
				var e=document.getElementById("span_result");//对象是content
				if (e.value != "") {
					e.select();//选择对象
					document.execCommand("Copy");//执行浏览器复制命令
				}
				
				//生成表格
				table.render({
					elem : '#priceTable',
					even : true, //隔行变色
					data : data, // 赋值已知数据
					width : 500,
					cols : [ [ 
						{
							field : 'number',
							width : '12%',
							align : "center",
							title : '款数'
						},{
							field : 'count',
							width : '16%',
							align : "center",
							title : '数量'
						},{
							field : 'price',
							width : '16%',
							align : "center",
							title : '报价'
						},/* {
							field : 'wangwang',
							align : "center",
							width : '16%',
							title : '折扣价',
							templet : function(d) {
								return Math.ceil(d.price * 0.98)
							} 
						},{
							field : 'wangwang',
							align : "center",
							width : '19%',
							title : '跳楼价',
							templet : function(d) {
								return Math.ceil(d.price * 0.96)
							} 
						}, */{
							field : 'weight',
							width : '21%',
							align : "center",
							title : '重量（kg）'
						}
					] ],
					done: function () {
		            }
				});
			}
		});
		return false;
	});
});
	
</script>
</html>